package com.hxhq.business.form.study;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * 试验-试验方法阅读对象
 */
public class StudyMethodReadForm {

    /** 所属试验id */
    @NotNull(message = "请选择阅读对象")
    private Long studyMethodId;

    /** 签名人密码 */
    @NotEmpty(message = "请输入签名人密码")
    private String qmrmm;

    private Long qmrId;

    /** 备注 */
    private String remark;

    public Long getStudyMethodId() {
        return studyMethodId;
    }

    public void setStudyMethodId(Long studyMethodId) {
        this.studyMethodId = studyMethodId;
    }

    public String getQmrmm() {
        return qmrmm;
    }

    public void setQmrmm(String qmrmm) {
        this.qmrmm = qmrmm;
    }

    public Long getQmrId() {
        return qmrId;
    }

    public void setQmrId(Long qmrId) {
        this.qmrId = qmrId;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
